Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/AGRIF_NORDIC/EXP00/namelist_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/AGRIF_NORDIC/EXP00/namelist_cfg	(revision 9464)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/AGRIF_NORDIC/EXP00/namelist_cfg	(revision 9484)
@@ -17,10 +17,4 @@
       cn_domcfg = "ORCA_R2_zps_domcfg"    ! domain configuration filename
       !                    !  (=F) user defined configuration  ==>>>  see usrdef(_...) modules
-   ln_closea    = .false.  !  T => keep closed seas (defined by closea_mask field) in the domain and apply
-      !                    !       special treatment of freshwater fluxes.
-      !                    !  F => suppress closed seas (defined by closea_mask field) from the bathymetry
-      !                    !       at runtime.
-      !                    !  If there is no closea_mask field in the domain_cfg file or we do not use
-      !                    !  a domain_cfg file then this logical does nothing.
 /
 !-----------------------------------------------------------------------
@@ -42,4 +36,5 @@
    nn_fsbc     = 1         !  frequency of surface boundary condition computation
    ln_blk      = .true.    !  Bulk formulation                          (T => fill namsbc_blk )
+   nn_fwb      = 0         !  FreshWater Budget: =0 unchecked
 /
 !-----------------------------------------------------------------------
@@ -73,33 +68,4 @@
 !-----------------------------------------------------------------------
       ln_icebergs              = .false.               ! iceberg floats or not
-      ln_bergdia               = .true.               ! Calculate budgets
-      nn_verbose_level         = 1                    ! Turn on more verbose output if level > 0
-      nn_verbose_write         = 15                   ! Timesteps between verbose messages
-      nn_sample_rate           = 1                    ! Timesteps between sampling for trajectory storage
-                                                      ! Initial mass required for an iceberg of each class
-      rn_initial_mass          = 8.8e7, 4.1e8, 3.3e9, 1.8e10, 3.8e10, 7.5e10, 1.2e11, 2.2e11, 3.9e11, 7.4e11
-                                                      ! Proportion of calving mass to apportion to each class
-      rn_distribution          = 0.24, 0.12, 0.15, 0.18, 0.12, 0.07, 0.03, 0.03, 0.03, 0.02
-                                                      ! Ratio between effective and real iceberg mass (non-dim)
-                                                      ! i.e. number of icebergs represented at a point
-      rn_mass_scaling          = 2000, 200, 50, 20, 10, 5, 2, 1, 1, 1
-                                                      ! thickness of newly calved bergs (m)
-      rn_initial_thickness     = 40., 67., 133., 175., 250., 250., 250., 250., 250., 250.
-      rn_rho_bergs             = 850.                 ! Density of icebergs
-      rn_LoW_ratio             = 1.5                  ! Initial ratio L/W for newly calved icebergs
-      ln_operator_splitting    = .true.               ! Use first order operator splitting for thermodynamics
-      rn_bits_erosion_fraction = 0.                   ! Fraction of erosion melt flux to divert to bergy bits
-      rn_sicn_shift            = 0.                   ! Shift of sea-ice concn in erosion flux (0<sicn_shift<1)
-      ln_passive_mode          = .false.              ! iceberg - ocean decoupling
-      nn_test_icebergs         = -1                   ! Create test icebergs of this class (-1 = no)
-                                                      ! Put a test iceberg at each gridpoint in box (lon1,lon2,lat1,lat2)
-      rn_test_box              = 108.0,  116.0, -66.0, -58.0
-      rn_speed_limit           = 0.                   ! CFL speed limit for a berg
-
-!            ! file name ! frequency (hours) !   variable   ! time interp.!  clim   ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
-!            !           !  (if <0  months)  !     name     !  (logical)  !  (T/F ) ! 'monthly' ! filename ! pairing  ! filename      !
-      sn_icb =  'calving',       -1          , 'calving'    ,   .true.    , .true.  , 'yearly'  ,    ''    ,    ''    ,     ''
-
-      cn_dir = './'
 /
 !-----------------------------------------------------------------------
@@ -125,8 +91,4 @@
 !-----------------------------------------------------------------------
    ln_trabbl   = .true.    !  Bottom Boundary Layer parameterisation flag
-   nn_bbl_ldf  =  1        !  diffusive bbl (=1)   or not (=0)
-   nn_bbl_adv  =  0        !  advective bbl (=1/2) or not (=0)
-   rn_ahtbbl   =  1000.    !  lateral mixing coefficient in the bbl  [m2/s]
-   rn_gambbl   =  10.      !  advective bbl coefficient                 [s]
 /
 !-----------------------------------------------------------------------
@@ -134,6 +96,4 @@
 !-----------------------------------------------------------------------
    ln_teos10   = .true.         !  = Use TEOS-10 equation of state
-   ln_eos80    = .false.          !  = Use EOS80
-   ln_seos     = .false.         !  = Use S-EOS (simplified Eq.)
 /
 !-----------------------------------------------------------------------
@@ -152,32 +112,8 @@
 &namtra_ldf    !   lateral diffusion scheme for tracers
 !----------------------------------------------------------------------------------
-   !                       !  Operator type:
-   ln_traldf_NONE  =  .false.  !           No operator (no explicit advection)
    ln_traldf_lap   =  .true.   !    laplacian operator
-   ln_traldf_blp   =  .false.  !  bilaplacian operator
-   !                       !  Direction of action:
-   ln_traldf_lev   =  .false.  !  iso-level
-   ln_traldf_hor   =  .false.  !  horizontal (geopotential)
    ln_traldf_iso   =  .true.   !  iso-neutral (Standard operator)
-   ln_traldf_triad =  .false.  !  iso-neutral (Triads   operator)
-   !
-   !		       	         !  iso-neutral options:        
    ln_traldf_msc   =  .true.   !  Method of Stabilizing Correction (both operators)
-   rn_slpmax       =   0.01    !  slope limit                      (both operators)
-   ln_triad_iso    =  .false.  !  pure horizontal mixing in ML              (triad only)
-   rn_sw_triad     =  1        !  =1 switching triad ; =0 all 4 triads used (triad only)
-   ln_botmix_triad =  .false.  !  lateral mixing on bottom                  (triad only)
-   !
-   !                       !  Coefficients:
    nn_aht_ijk_t    = 20        !  space/time variation of eddy coef
-   !                                !   =-20 (=-30)    read in eddy_diffusivity_2D.nc (..._3D.nc) file
-   !                                !   =  0           constant 
-   !                                !   = 10 F(k)      =ldf_c1d 
-   !                                !   = 20 F(i,j)    =ldf_c2d 
-   !                                !   = 21 F(i,j,t)  =Treguier et al. JPO 1997 formulation
-   !                                !   = 30 F(i,j,k)  =ldf_c2d + ldf_c1d
-   !                                !   = 31 F(i,j,k,t)=F(local velocity)
-   rn_aht_0        = 2000.     !  lateral eddy diffusivity   (lap. operator) [m2/s]
-   rn_bht_0        = 1.e+12    !  lateral eddy diffusivity (bilap. operator) [m4/s]
 /
 !----------------------------------------------------------------------------------
@@ -186,12 +122,4 @@
    ln_ldfeiv     =.true.   ! use eddy induced velocity parameterization
    ln_ldfeiv_dia =.true.   ! diagnose eiv stream function and velocities
-   rn_aeiv_0     = 2000.   ! eddy induced velocity coefficient   [m2/s]
-   nn_aei_ijk_t  = 21      ! space/time variation of the eiv coeficient
-   !                                !   =-20 (=-30)    read in eddy_induced_velocity_2D.nc (..._3D.nc) file
-   !                                !   =  0           constant 
-   !                                !   = 10 F(k)      =ldf_c1d 
-   !                                !   = 20 F(i,j)    =ldf_c2d 
-   !                                !   = 21 F(i,j,t)  =Treguier et al. JPO 1997 formulation
-   !                                !   = 30 F(i,j,k)  =ldf_c2d + ldf_c1d
 /
 !-----------------------------------------------------------------------
@@ -202,16 +130,9 @@
 &namdyn_adv    !   formulation of the momentum advection                (default: No selection)
 !-----------------------------------------------------------------------
-   ln_dynadv_NONE= .false. !  linear dynamics (no momentum advection)
    ln_dynadv_vec = .true.  !  vector form - 2nd centered scheme
-     nn_dynkeg     = 0        ! grad(KE) scheme: =0   C2  ;  =1   Hollingsworth correction
-   ln_dynadv_cen2= .false. !  flux form - 2nd order centered scheme
-   ln_dynadv_ubs = .false. !  flux form - 3rd order UBS      scheme
 /
 !-----------------------------------------------------------------------
 &namdyn_vor    !   option of physics/algorithm (not control by CPP keys)
 !-----------------------------------------------------------------------
-   ln_dynvor_ene = .false. !  enstrophy conserving scheme
-   ln_dynvor_ens = .false. !  energy conserving scheme
-   ln_dynvor_mix = .false. !  mixed scheme
    ln_dynvor_een = .true.  !  energy & enstrophy scheme
       nn_een_e3f = 0             !  e3f = masked averaging of e3t divided by 4 (=0) or by the sum of mask (=1)
@@ -230,26 +151,7 @@
 &namdyn_ldf    !   lateral diffusion on momentum
 !-----------------------------------------------------------------------
-   !                       !  Type of the operator :
-   ln_dynldf_NONE=  .false.    !           No operator (no explicit diffusion)
    ln_dynldf_lap =  .true.     !    laplacian operator
-   ln_dynldf_blp =  .false.    !  bilaplacian operator
-   !                       !  Direction of action  :
    ln_dynldf_lev =  .true.     !  iso-level
-   ln_dynldf_hor =  .false.    !  horizontal (geopotential)
-   ln_dynldf_iso =  .false.    !  iso-neutral
-   !                       !  Coefficient
    nn_ahm_ijk_t  = -30         !  space/time variation of eddy coef
-   !                                !  =-30  read in eddy_viscosity_3D.nc file
-   !                                !  =-20  read in eddy_viscosity_2D.nc file
-   !                                !  =  0  constant 
-   !                                !  = 10  F(k)=c1d
-   !                                !  = 20  F(i,j)=F(grid spacing)=c2d
-   !                                !  = 30  F(i,j,k)=c2d*c1d
-   !                                !  = 31  F(i,j,k)=F(grid spacing and local velocity)
-   rn_ahm_0      =  40000.     !  horizontal laplacian eddy viscosity   [m2/s]
-   rn_ahm_b      =      0.     !  background eddy viscosity for ldf_iso [m2/s]
-   rn_bhm_0      = 1.e+12      !  horizontal bilaplacian eddy viscosity [m4/s]
-   !
-   ! Caution in 20 and 30 cases the coefficient have to be given for a 1 degree grid (~111km)
 /
 !!======================================================================
@@ -259,28 +161,7 @@
 &namzdf        !   vertical physics                                     (default: NO selection)
 !-----------------------------------------------------------------------
-   !                       ! type of vertical closure
-   ln_zdfcst   = .false.      !  constant mixing
-   ln_zdfric   = .false.      !  local Richardson dependent formulation (T =>   fill namzdf_ric)
    ln_zdftke   = .true.       !  Turbulent Kinetic Energy closure       (T =>   fill namzdf_tke)
-   ln_zdfgls   = .false.      !  Generic Length Scale closure           (T =>   fill namzdf_gls)
-   ln_zdfosm   = .false.      !  OSMOSIS BL closure                     (T =>   fill namzdf_osm)
-   !
-   !                       ! convection
    ln_zdfevd   = .true.       !  Enhanced Vertical Diffusion scheme
-      nn_evdm  =    0            !  evd apply on tracer (=0) or on tracer and momentum (=1)
-      rn_evd   =  100.           !  evd mixing coefficient [m2/s]
-   !
    ln_zdfddm   = .true.    ! double diffusive mixing
-      rn_avts  =    1.e-4     !  maximum avs (vertical mixing on salinity)
-      rn_hsbfr =    1.6       !  heat/salt buoyancy flux ratio
-   !
-   !                       ! gravity wave-driven vertical mixing
-   ln_zdfiwm   = .false.      ! internal wave-induced mixing            (T =>   fill namzdf_iwm)
-   ln_zdfswm   = .false.      ! surface  wave-induced mixing            (T => ln_wave=ln_sdw=T )
-   !
-   !                       !  Coefficients
-   rn_avm0     =   1.2e-4     !  vertical eddy viscosity   [m2/s]       (background Kz if ln_zdfcst=F)
-   rn_avt0     =   1.2e-5     !  vertical eddy diffusivity [m2/s]       (background Kz if ln_zdfcst=F)
-   nn_avb      =    0         !  profile for background avt & avm (=1) or not (=0)
    nn_havtb    =    1         !  horizontal shape for avtb (=1) or not (=0)
 /
@@ -292,19 +173,12 @@
 &namzdf_iwm    !   tidal mixing parameterization                        (ln_zdfiwm =T)
 !-----------------------------------------------------------------------
-   nn_zpyc     = 2         !  pycnocline-intensified dissipation scales as N (=1) or N^2 (=2)
-   ln_mevar    = .true.    !  variable (T) or constant (F) mixing efficiency
-   ln_tsdiff   = .true.    !  account for differential T/S mixing (T) or not (F)
 /
 !-----------------------------------------------------------------------
 &nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi)
 !-----------------------------------------------------------------------
-   jpni        =   4       !  jpni   number of processors following i (set automatically if < 1)
-   jpnj        =   4       !  jpnj   number of processors following j (set automatically if < 1)
-   jpnij       =   16       !  jpnij  number of local domains (set automatically if < 1)
 /
 !-----------------------------------------------------------------------
 &namctl        !   Control prints & Benchmark
 !-----------------------------------------------------------------------
-   ln_ctl      = .false.   !  trends control print (expensive!)
 /
 !-----------------------------------------------------------------------
@@ -315,5 +189,4 @@
 &namhsb       !  Heat and salt budgets                                  (default F)
 !-----------------------------------------------------------------------
-   ln_diahsb  = .true.    !  check the heat and salt budgets (T) or not (F)
 /
 !-----------------------------------------------------------------------