Index: /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/iodef.xml
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/iodef.xml	(revision 9508)
+++ /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/iodef.xml	(revision 9509)
@@ -15,5 +15,5 @@
 	  -->
 	  <variable id="info_level"                type="int">10</variable>
-	  <variable id="using_server"              type="bool">true</variable>
+	  <variable id="using_server"              type="bool">false</variable>
 	  <variable id="using_oasis"               type="bool">false</variable>
 	  <variable id="oasis_codes_id"            type="string" >oceanx</variable>
Index: /branches/2017/dev_merge_2017/NEMOGCM/SETTE/input_SASBIPER.cfg
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/SETTE/input_SASBIPER.cfg	(revision 9509)
+++ /branches/2017/dev_merge_2017/NEMOGCM/SETTE/input_SASBIPER.cfg	(revision 9509)
@@ -0,0 +1,1 @@
+SASBIPER_v4.0.tar SASBIPER_v4.0
Index: /branches/2017/dev_merge_2017/NEMOGCM/SETTE/sette_test-cases.sh
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/SETTE/sette_test-cases.sh	(revision 9508)
+++ /branches/2017/dev_merge_2017/NEMOGCM/SETTE/sette_test-cases.sh	(revision 9509)
@@ -422,8 +422,7 @@
 
 
-#--clem:
 # TESTS FOR SAS_BIPER CONFIGURATION
 if [ ${config} -eq 5 ] ;  then 
-    ## Restartability tests for SAS_BIPER
+## Restartability tests for SAS_BIPER
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
@@ -441,18 +440,10 @@
     set_namelist namelist_cfg nn_itend 200
     set_namelist namelist_cfg nn_stock 100
-    set_namelist namelist_cfg ln_clobber .true.
-#    set_namelist namelist_cfg nn_fsbc 1       
-    set_namelist namelist_cfg jpni 1
-    set_namelist namelist_cfg jpnj 1
-    set_namelist namelist_cfg jpnij 1
-    
-    set_namelist namelist_ice_cfg ln_icethd .true.
+    
+    #set_namelist namelist_ice_cfg ln_icethd .true.
     set_namelist namelist_ice_cfg ln_icedyn .true.
     set_namelist namelist_ice_cfg ln_dynFULL .true.
     set_namelist namelist_ice_cfg ln_dynRHGADV .false.
     set_namelist namelist_ice_cfg ln_dynADV .false.
-    set_namelist namelist_ice_cfg ln_adv_Pra .false.
-    set_namelist namelist_ice_cfg ln_adv_UMx .true.
-    set_namelist namelist_ice_cfg ln_icediachk .true.
     
     set_namelist 1_namelist_cfg cn_exp \"SAS_BIPER_LONG\"
@@ -460,17 +451,10 @@
     set_namelist 1_namelist_cfg nn_itend 600
     set_namelist 1_namelist_cfg nn_stock 300
-    set_namelist 1_namelist_cfg ln_clobber .true.
-    set_namelist 1_namelist_cfg jpni 1
-    set_namelist 1_namelist_cfg jpnj 1
-    set_namelist 1_namelist_cfg jpnij 1
-    
-    set_namelist 1_namelist_ice_cfg ln_icethd .true.
+    
+    #set_namelist 1_namelist_ice_cfg ln_icethd .true.
     set_namelist 1_namelist_ice_cfg ln_icedyn .true.
     set_namelist 1_namelist_ice_cfg ln_dynFULL .true.
     set_namelist 1_namelist_ice_cfg ln_dynRHGADV .false.
     set_namelist 1_namelist_ice_cfg ln_dynADV .false.
-    set_namelist 1_namelist_ice_cfg ln_adv_Pra .false.
-    set_namelist 1_namelist_ice_cfg ln_adv_UMx .true.
-#    set_namelist 1_namelist_ice_cfg ln_icediachk .true.
     if [ ${USING_MPMD} == "yes" ] ; then
         set_xio_using_server iodef.xml true
@@ -491,17 +475,10 @@
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg jpni 1
-    set_namelist namelist_cfg jpnj 1
-    set_namelist namelist_cfg jpnij 1
-    
-    set_namelist namelist_ice_cfg ln_icethd .true.
+    
+    #set_namelist namelist_ice_cfg ln_icethd .true.
     set_namelist namelist_ice_cfg ln_icedyn .true.
     set_namelist namelist_ice_cfg ln_dynFULL .true.
     set_namelist namelist_ice_cfg ln_dynRHGADV .false.
     set_namelist namelist_ice_cfg ln_dynADV .false.
-    set_namelist namelist_ice_cfg ln_adv_Pra .false.
-    set_namelist namelist_ice_cfg ln_adv_UMx .true.
-    set_namelist namelist_ice_cfg ln_icediachk .true.
     set_namelist namelist_cfg cn_ocerst_in \"SAS_BIPER_LONG_00000100_restart\"
     set_namelist namelist_ice_cfg cn_icerst_in \"SAS_BIPER_LONG_00000100_restart_ice\"
@@ -513,17 +490,10 @@
     set_namelist 1_namelist_cfg ln_rstart .true.
     set_namelist 1_namelist_cfg nn_rstctl 2
-    set_namelist 1_namelist_cfg ln_clobber .true.
-    set_namelist 1_namelist_cfg jpni 1
-    set_namelist 1_namelist_cfg jpnj 1
-    set_namelist 1_namelist_cfg jpnij 1
-    
-    set_namelist 1_namelist_ice_cfg ln_icethd .true.
+    
+    #set_namelist 1_namelist_ice_cfg ln_icethd .true.
     set_namelist 1_namelist_ice_cfg ln_icedyn .true.
     set_namelist 1_namelist_ice_cfg ln_dynFULL .true.
     set_namelist 1_namelist_ice_cfg ln_dynRHGADV .false.
     set_namelist 1_namelist_ice_cfg ln_dynADV .false.
-    set_namelist 1_namelist_ice_cfg ln_adv_Pra .false.
-    set_namelist 1_namelist_ice_cfg ln_adv_UMx .true.
-#    set_namelist 1_namelist_ice_cfg ln_icediachk .true.
     set_namelist 1_namelist_cfg cn_ocerst_in \"SAS_BIPER_LONG_00000300_restart\"
     set_namelist 1_namelist_ice_cfg cn_icerst_in \"SAS_BIPER_LONG_00000300_restart_ice\"