Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/AGRIF_NORDIC/EXP00/namelist_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/AGRIF_NORDIC/EXP00/namelist_cfg	(revision 9514)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/AGRIF_NORDIC/EXP00/namelist_cfg	(revision 9516)
@@ -238,7 +238,9 @@
 !-----------------------------------------------------------------------
    !                       !  Operator type:
-   ln_traldf_lap   =  .true.   !    laplacian operator
+   ln_traldf_lap   = .true.    !    laplacian operator
    !                       !  Direction of action:
-   ln_traldf_iso   =  .true.   !  iso-neutral (Standard operator)
+   ln_traldf_iso   = .true.    !  iso-neutral (Standard operator)
+   !		       	         !  iso-neutral options:        
+   ln_traldf_msc   = .true.    !  Method of Stabilizing Correction      (both operators)
    !                       !  Coefficients:
    nn_aht_ijk_t    = 20        !  space/time variation of eddy coef
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg	(revision 9514)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg	(revision 9516)
@@ -66,8 +66,8 @@
    nn_fsbc     = 1         !  frequency of SBC module call
    ln_flx      = .true.    !  flux formulation                          (T => fill namsbc_flx)
-   ln_traqsr   = .true.    !  Light penetration in the ocean            (T => fill namtra_qsr)
-   ln_ssr      = .true.    !  Sea Surface Restoring on T and/or S       (T => fill namsbc_ssr)
-   ln_rnf      = .true.    !  runoffs                                   (T => fill namsbc_rnf)
-   ln_apr_dyn  = .true.    !  Patm gradient added in ocean & ice Eqs.   (T => fill namsbc_apr )
+   ln_traqsr   = .false.   !  Light penetration in the ocean            (T => fill namtra_qsr)
+   ln_ssr      = .false.   !  Sea Surface Restoring on T and/or S       (T => fill namsbc_ssr)
+   ln_rnf      = .false.   !  runoffs                                   (T => fill namsbc_rnf)
+   ln_apr_dyn  = .false.   !  Patm gradient added in ocean & ice Eqs.   (T => fill namsbc_apr )
 /
 !-----------------------------------------------------------------------
@@ -99,8 +99,9 @@
 
    cn_dir      = 'fluxes/' !  root directory for the location of the runoff files
-!          !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
-!          !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
-   sn_sst      = 'amm12_sstref'    ,        24         ,  'sst'     ,     .true.     , .false. , 'daily'   , .false. , ''       , '' , ''
-   sn_sss      = 'sss_data'        ,        -1         ,  'sss'     ,     .true.     , .true.  , 'yearly'  , .false. , ''       , '' , ''
+   !___________!_________________________!___________________!___________!_____________!________!___________!__________________!__________!_______________!
+   !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
+   !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
+   sn_sst      = 'amm12_sstref'          ,        24         ,  'sst'     ,   .true.   , .false., 'daily'   , ''               , ''       , ''
+   sn_sss      = 'sss_data'              ,        -1         ,  'sss'     ,   .true.   , .true. , 'yearly'  , ''               , ''       , ''
 /
 !-----------------------------------------------------------------------
@@ -113,12 +114,12 @@
 
    cn_dir = './'  !  root directory for the flux data location
-   !___________!_________________________!___________________!___________!_____________!________!___________!______________________________________!__________!_______________!
-   !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ !          weights filename            ! rotation ! land/sea mask !
-   !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                                      ! pairing  !    filename   !
-   sn_rnf      = 'amm12_rivers'          ,        24         , 'rorunoff',   .false.   , .true. , 'yearly'  , ''                                   , ''       , ''
-   sn_cnf      = 'runoff_1m_nomask'      ,         0         , 'socoefr0',   .false.   , .true. , 'yearly'  , ''                                   , ''       , ''
-   sn_s_rnf    = 'amm12_rivers'          ,        24         , 'rosaline',   .false.   , .true. , 'yearly'  , ''                                   , ''       , ''
-   sn_t_rnf    = 'amm12_rivers'          ,        24         , 'rotemper',   .false.   , .true. , 'yearly'  , ''                                   , ''       , ''
-   sn_dep_rnf  = 'amm12_rivers'          ,        24         , 'rodepth' ,   .false.   , .true. , 'yearly'  , ''                                   , ''       , ''
+   !___________!_________________________!___________________!___________!_____________!________!___________!__________________!__________!_______________!
+   !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
+   !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
+   sn_rnf      = 'amm12_rivers'          ,        24         , 'rorunoff',   .false.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_cnf      = 'runoff_1m_nomask'      ,         0         , 'socoefr0',   .false.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_s_rnf    = 'amm12_rivers'          ,        24         , 'rosaline',   .false.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_t_rnf    = 'amm12_rivers'          ,        24         , 'rotemper',   .false.   , .true. , 'yearly'  , ''               , ''       , ''
+   sn_dep_rnf  = 'amm12_rivers'          ,        24         , 'rodepth' ,   .false.   , .true. , 'yearly'  , ''               , ''       , ''
 /
 !-----------------------------------------------------------------------
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_top_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_top_cfg	(revision 9514)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_top_cfg	(revision 9516)
@@ -30,12 +30,7 @@
 /
 !-----------------------------------------------------------------------
-&namtrc_ldf      !   lateral diffusion scheme for passive tracer 
+&namtrc_ldf      !   lateral diffusion scheme for passive tracer        (default: NO selection)
 !-----------------------------------------------------------------------
-!                            !  Type of the operator:
-   ln_trcldf_NONE  =  .false.    !  No explicit diffusion
    ln_trcldf_tra   =  .true.     !  use active tracer setting
-   !                         !  Coefficient (defined with namtra_ldf coefficient)
-   rn_ldf_multi    = 1.          !  multiplier of aht for TRC mixing coefficient
-   rn_fact_lap     = 1.          !  Equatorial enhanced zonal eddy diffusivity (lap only)
 /
 !-----------------------------------------------------------------------
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_top_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_top_cfg	(revision 9514)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_top_cfg	(revision 9516)
@@ -44,10 +44,5 @@
 &namtrc_ldf      !   lateral diffusion scheme for passive tracer        (default: NO selection)
 !-----------------------------------------------------------------------
-!                            !  Type of the operator:
-   ln_trcldf_NONE  =  .false.    !  No explicit diffusion
    ln_trcldf_tra   =  .true.     !  use active tracer setting
-   !                         !  Coefficient (defined with namtra_ldf coefficient)
-   rn_ldf_multi    = 1.          !  multiplier of aht for TRC mixing coefficient
-   rn_fact_lap     = 1.          !  Equatorial enhanced zonal eddy diffusivity (lap only)
 /
 !-----------------------------------------------------------------------
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_cfg	(revision 9514)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_cfg	(revision 9516)
@@ -331,4 +331,7 @@
    !                       !  Direction of action:
    ln_traldf_iso   =  .true.   !  iso-neutral (Standard operator)
+   !                       !
+   !		       	         !  iso-neutral options:        
+   ln_traldf_msc   = .true.    !  Method of Stabilizing Correction      (both operators)
    !                       !  Coefficients:
    nn_aht_ijk_t    = 20        !  space/time variation of eddy coef
@@ -345,5 +348,5 @@
 &namtra_eiv    !   eddy induced velocity param.                         (default: NO)
 !-----------------------------------------------------------------------
-   ln_ldfeiv     =.true.   ! use eddy induced velocity parameterization
+   ln_ldfeiv   = .true.    ! use eddy induced velocity parameterization
       !                        !  Coefficients:
       nn_aei_ijk_t  = 21          ! space/time variation of the eiv coeficient
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_top_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_top_cfg	(revision 9514)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_top_cfg	(revision 9516)
@@ -81,6 +81,7 @@
 /
 !-----------------------------------------------------------------------
-&namtrc_ldf      !   lateral diffusion scheme for passive tracer 
+&namtrc_ldf      !   lateral diffusion scheme for passive tracer        (default: NO selection)
 !-----------------------------------------------------------------------
+   ln_trcldf_tra   = .true.      !  use active tracer setting
 /
 !-----------------------------------------------------------------------
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_top_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_top_cfg	(revision 9514)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_top_cfg	(revision 9516)
@@ -80,6 +80,7 @@
 /
 !-----------------------------------------------------------------------
-&namtrc_ldf      !   lateral diffusion scheme for passive tracer 
+&namtrc_ldf      !   lateral diffusion scheme for passive tracer        (default: NO selection)
 !-----------------------------------------------------------------------
+   ln_trcldf_tra   =  .true.     !  use active tracer setting
 /
 !-----------------------------------------------------------------------
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_OFF_TRC/EXP00/namelist_top_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_OFF_TRC/EXP00/namelist_top_cfg	(revision 9514)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_OFF_TRC/EXP00/namelist_top_cfg	(revision 9516)
@@ -32,12 +32,7 @@
 /
 !-----------------------------------------------------------------------
-&namtrc_ldf      !   lateral diffusion scheme for passive tracer 
+&namtrc_ldf      !   lateral diffusion scheme for passive tracer        (default: NO selection)
 !-----------------------------------------------------------------------
-   !                         !  Type of the operator:
-   ln_trcldf_NONE  =  .false.    !  No explicit diffusion
    ln_trcldf_tra   =  .true.     !  use active tracer setting
-   !                         !  Coefficient (defined with namtra_ldf coefficient)
-   rn_ldf_multi    = 1.          !  multiplier of aht for TRC mixing coefficient
-   rn_fact_lap     = 1.          !  Equatorial enhanced zonal eddy diffusivity (lap only)
 /
 !-----------------------------------------------------------------------