Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/mpp_map.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/mpp_map.F90	(revision 9490)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/mpp_map.F90	(revision 9523)
@@ -12,5 +12,5 @@
    USE par_kind, ONLY :   wp            ! Precision variables
    USE par_oce , ONLY :   jpi, jpj      ! Ocean parameters
-   USE dom_oce , ONLY :   mig, mjg, nldi, nlei, nldj, nlej, narea   ! Ocean space and time domain variables
+   USE dom_oce , ONLY :   mig, mjg, nldi, nlei, nldj, nlej, nlci, nlcj, narea   ! Ocean space and time domain variables
 #if defined key_mpp_mpi
    USE lib_mpp, ONLY :   mpi_comm_opa   ! MPP library
@@ -64,6 +64,6 @@
       imppmap(:,:) = 0
 
-      ! Setup local grid points
-      imppmap(mig(nldi):mig(nlei),mjg(nldj):mjg(nlej)) = narea 
+!      ! Setup local grid points
+      imppmap(mig(1):mig(nlci),mjg(1):mjg(nlcj)) = narea
       
       ! Get global data
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_grid.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_grid.F90	(revision 9490)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_grid.F90	(revision 9523)
@@ -129,5 +129,5 @@
             IF ( cdgrid == 'T' ) THEN
                CALL obs_grd_bruteforce( jpi, jpj, jpiglo, jpjglo, &
-                  &                             nldi, nlei,nldj,  nlej,   &
+                  &                             1, nlci, 1, nlcj,         &
                   &                             nproc, jpnij,             &
                   &                             glamt, gphit, tmask,      &
@@ -136,5 +136,5 @@
             ELSEIF ( cdgrid == 'U' ) THEN
                CALL obs_grd_bruteforce( jpi, jpj, jpiglo, jpjglo, &
-                  &                             nldi, nlei,nldj,  nlej,   &
+                  &                             1, nlci, 1, nlcj,         &
                   &                             nproc, jpnij,             &
                   &                             glamu, gphiu, umask,      &
@@ -143,5 +143,5 @@
             ELSEIF ( cdgrid == 'V' ) THEN
                CALL obs_grd_bruteforce( jpi, jpj, jpiglo, jpjglo, &
-                  &                             nldi, nlei,nldj,  nlej,   &
+                  &                             1, nlci, 1, nlcj,         &
                   &                             nproc, jpnij,             &
                   &                             glamv, gphiv, vmask,      &
@@ -150,5 +150,5 @@
             ELSEIF ( cdgrid == 'F' ) THEN
                CALL obs_grd_bruteforce( jpi, jpj, jpiglo, jpjglo, &
-                  &                             nldi, nlei,nldj,  nlej,   &
+                  &                             1, nlci, 1, nlcj,         &
                   &                             nproc, jpnij,             &
                   &                             glamf, gphif, fmask,      &
@@ -279,6 +279,6 @@
          zmskg(:,:) = -1.e+10
          ! Add various grids here.
-         DO jj = nldj, nlej
-            DO ji = nldi, nlei
+         DO jj = 1, nlcj
+            DO ji = 1, nlci
                zlamg(mig(ji),mjg(jj)) = glamt(ji,jj)
                zphig(mig(ji),mjg(jj)) = gphit(ji,jj)
@@ -816,5 +816,5 @@
             
             CALL obs_grd_bruteforce( jpi, jpj, jpiglo, jpjglo,  &
-               &                     nldi, nlei,nldj,  nlej,    &
+               &                     1, nlci, 1, nlcj,          &
                &                     nproc, jpnij,              &
                &                     glamt, gphit, tmask,       &
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_inter_sup.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_inter_sup.F90	(revision 9490)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_inter_sup.F90	(revision 9523)
@@ -365,5 +365,5 @@
          CALL ctl_stop( 'Error in obs_int_comm_3d_local', &
             &           'Point outside local domain' )
-         
+ 
       ENDIF
 