Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv.F90	(revision 9526)
@@ -30,6 +30,6 @@
    PUBLIC dyn_adv_init  ! routine called by opa  module
  
-   !                                    !* namdyn_adv namelist *
-   LOGICAL, PUBLIC ::   ln_dynadv_NONE  !: linear dynamics (no momentum advection)
+   !                                   !!* namdyn_adv namelist *
+   LOGICAL, PUBLIC ::   ln_dynadv_OFF   !: linear dynamics (no momentum advection)
    LOGICAL, PUBLIC ::   ln_dynadv_vec   !: vector form
    INTEGER, PUBLIC ::      nn_dynkeg       !: scheme of grad(KE): =0 C2 ; =1 Hollingsworth
@@ -95,5 +95,5 @@
       INTEGER ::   ioptio, ios   ! Local integer
       !
-      NAMELIST/namdyn_adv/ ln_dynadv_NONE, ln_dynadv_vec, nn_dynkeg, ln_dynadv_cen2, ln_dynadv_ubs
+      NAMELIST/namdyn_adv/ ln_dynadv_OFF, ln_dynadv_vec, nn_dynkeg, ln_dynadv_cen2, ln_dynadv_ubs
       !!----------------------------------------------------------------------
       !
@@ -114,5 +114,5 @@
       IF(lwp) THEN                    ! Namelist print
          WRITE(numout,*) '   Namelist namdyn_adv : chose a advection formulation & scheme for momentum'
-         WRITE(numout,*) '      linear dynamics : no momentum advection          ln_dynadv_NONE = ', ln_dynadv_NONE
+         WRITE(numout,*) '      linear dynamics : no momentum advection          ln_dynadv_OFF  = ', ln_dynadv_OFF
          WRITE(numout,*) '      Vector form: 2nd order centered scheme           ln_dynadv_vec  = ', ln_dynadv_vec
          WRITE(numout,*) '         with Hollingsworth scheme (=1) or not (=0)       nn_dynkeg   = ', nn_dynkeg
@@ -122,5 +122,5 @@
 
       ioptio = 0                      ! parameter control and set n_dynadv
-      IF( ln_dynadv_NONE ) THEN   ;   ioptio = ioptio + 1   ;   n_dynadv = np_LIN_dyn   ;   ENDIF
+      IF( ln_dynadv_OFF  ) THEN   ;   ioptio = ioptio + 1   ;   n_dynadv = np_LIN_dyn   ;   ENDIF
       IF( ln_dynadv_vec  ) THEN   ;   ioptio = ioptio + 1   ;   n_dynadv = np_VEC_c2    ;   ENDIF
       IF( ln_dynadv_cen2 ) THEN   ;   ioptio = ioptio + 1   ;   n_dynadv = np_FLX_c2    ;   ENDIF
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn.F90	(revision 9526)
@@ -33,5 +33,5 @@
 
    !                                    !!* Namelist namdyn_ldf : lateral mixing on momentum *
-   LOGICAL , PUBLIC ::   ln_dynldf_NONE  !: No operator (i.e. no explicit diffusion)
+   LOGICAL , PUBLIC ::   ln_dynldf_OFF   !: No operator (i.e. no explicit diffusion)
    LOGICAL , PUBLIC ::   ln_dynldf_lap   !: laplacian operator
    LOGICAL , PUBLIC ::   ln_dynldf_blp   !: bilaplacian operator
@@ -109,8 +109,8 @@
       CHARACTER(len=5) ::   cl_Units               ! units (m2/s or m4/s)
       !!
-      NAMELIST/namdyn_ldf/ ln_dynldf_NONE, ln_dynldf_lap, ln_dynldf_blp,   &   ! type of operator
-         &                 ln_dynldf_lev , ln_dynldf_hor, ln_dynldf_iso,   &   ! acting direction of the operator
-         &                 nn_ahm_ijk_t  , rn_Uv    , rn_Lv,   rn_ahm_b,   &   ! lateral eddy coefficient
-         &                 rn_csmc       , rn_minfac    , rn_maxfac            ! Smagorinsky settings
+      NAMELIST/namdyn_ldf/ ln_dynldf_OFF, ln_dynldf_lap, ln_dynldf_blp,   &   ! type of operator
+         &                 ln_dynldf_lev, ln_dynldf_hor, ln_dynldf_iso,   &   ! acting direction of the operator
+         &                 nn_ahm_ijk_t , rn_Uv    , rn_Lv,   rn_ahm_b,   &   ! lateral eddy coefficient
+         &                 rn_csmc      , rn_minfac    , rn_maxfac            ! Smagorinsky settings
       !!----------------------------------------------------------------------
       !
@@ -131,5 +131,5 @@
          !
          WRITE(numout,*) '      type :'
-         WRITE(numout,*) '         no explicit diffusion                ln_dynldf_NONE= ', ln_dynldf_NONE
+         WRITE(numout,*) '         no explicit diffusion                ln_dynldf_OFF = ', ln_dynldf_OFF
          WRITE(numout,*) '         laplacian operator                   ln_dynldf_lap = ', ln_dynldf_lap
          WRITE(numout,*) '         bilaplacian operator                 ln_dynldf_blp = ', ln_dynldf_blp
@@ -159,10 +159,10 @@
       nldf_dyn = np_ERROR
       ioptio = 0
-      IF( ln_dynldf_NONE ) THEN   ;   nldf_dyn = np_no_ldf   ;   ioptio = ioptio + 1   ;   ENDIF
-      IF( ln_dynldf_lap  ) THEN   ;                              ioptio = ioptio + 1   ;   ENDIF
-      IF( ln_dynldf_blp  ) THEN   ;                              ioptio = ioptio + 1   ;   ENDIF
-      IF( ioptio /= 1    )   CALL ctl_stop( 'dyn_ldf_init: use ONE of the 3 operator options (NONE/lap/blp)' )
-      !
-      IF(.NOT.ln_dynldf_NONE ) THEN    !==  direction ==>> type of operator  ==!
+      IF( ln_dynldf_OFF ) THEN   ;   nldf_dyn = np_no_ldf   ;   ioptio = ioptio + 1   ;   ENDIF
+      IF( ln_dynldf_lap ) THEN   ;                              ioptio = ioptio + 1   ;   ENDIF
+      IF( ln_dynldf_blp ) THEN   ;                              ioptio = ioptio + 1   ;   ENDIF
+      IF( ioptio /= 1   )   CALL ctl_stop( 'dyn_ldf_init: use ONE of the 3 operator options (NONE/lap/blp)' )
+      !
+      IF(.NOT.ln_dynldf_OFF ) THEN     !==  direction ==>> type of operator  ==!
          ioptio = 0
          IF( ln_dynldf_lev )   ioptio = ioptio + 1
@@ -232,5 +232,5 @@
       l_ldfdyn_time = .FALSE.                ! no time variation except in case defined below
       !
-      IF( ln_dynldf_NONE ) THEN
+      IF( ln_dynldf_OFF ) THEN
          IF(lwp) WRITE(numout,*) '   ==>>>   No viscous operator selected. ahmt and ahmf are not allocated'
          RETURN
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 9526)
@@ -43,5 +43,5 @@
    !                                   !!* Namelist namtra_ldf : lateral mixing on tracers * 
    !                                    != Operator type =!
-   LOGICAL , PUBLIC ::   ln_traldf_NONE      !: no operator: No explicit diffusion
+   LOGICAL , PUBLIC ::   ln_traldf_OFF       !: no operator: No explicit diffusion
    LOGICAL , PUBLIC ::   ln_traldf_lap       !: laplacian operator
    LOGICAL , PUBLIC ::   ln_traldf_blp       !: bilaplacian operator
@@ -135,9 +135,9 @@
       CHARACTER(len=5) ::   cl_Units               ! units (m2/s or m4/s)
       !!
-      NAMELIST/namtra_ldf/ ln_traldf_NONE, ln_traldf_lap  , ln_traldf_blp  ,  &   ! type of operator
-         &                 ln_traldf_lev , ln_traldf_hor  , ln_traldf_triad,  &   ! acting direction of the operator
-         &                 ln_traldf_iso , ln_traldf_msc  ,  rn_slpmax     ,  &   ! option for iso-neutral operator
-         &                 ln_triad_iso  , ln_botmix_triad, rn_sw_triad    ,  &   ! option for triad operator
-         &                 nn_aht_ijk_t  , rn_Ud          , rn_Ld                 ! lateral eddy coefficient
+      NAMELIST/namtra_ldf/ ln_traldf_OFF, ln_traldf_lap  , ln_traldf_blp  ,   &   ! type of operator
+         &                 ln_traldf_lev, ln_traldf_hor  , ln_traldf_triad,   &   ! acting direction of the operator
+         &                 ln_traldf_iso, ln_traldf_msc  ,  rn_slpmax     ,   &   ! option for iso-neutral operator
+         &                 ln_triad_iso , ln_botmix_triad, rn_sw_triad    ,   &   ! option for triad operator
+         &                 nn_aht_ijk_t , rn_Ud          , rn_Ld                  ! lateral eddy coefficient
       !!----------------------------------------------------------------------
       !
@@ -163,5 +163,5 @@
          WRITE(numout,*) '   Namelist : namtra_ldf --- lateral mixing parameters (type, direction, coefficients)'
          WRITE(numout,*) '      type :'
-         WRITE(numout,*) '         no explicit diffusion                   ln_traldf_NONE  = ', ln_traldf_NONE
+         WRITE(numout,*) '         no explicit diffusion                   ln_traldf_OFF   = ', ln_traldf_OFF
          WRITE(numout,*) '         laplacian operator                      ln_traldf_lap   = ', ln_traldf_lap
          WRITE(numout,*) '         bilaplacian operator                    ln_traldf_blp   = ', ln_traldf_blp
@@ -188,10 +188,10 @@
       nldf_tra = np_ERROR
       ioptio   = 0
-      IF( ln_traldf_NONE ) THEN   ;   nldf_tra = np_no_ldf   ;   ioptio = ioptio + 1   ;   ENDIF
-      IF( ln_traldf_lap  ) THEN   ;                              ioptio = ioptio + 1   ;   ENDIF
-      IF( ln_traldf_blp  ) THEN   ;                              ioptio = ioptio + 1   ;   ENDIF
-      IF( ioptio /=  1   )   CALL ctl_stop( 'tra_ldf_init: use ONE of the 3 operator options (NONE/lap/blp)' )
-      !
-      IF( .NOT.ln_traldf_NONE ) THEN   !==  direction ==>> type of operator  ==!
+      IF( ln_traldf_OFF ) THEN   ;   nldf_tra = np_no_ldf   ;   ioptio = ioptio + 1   ;   ENDIF
+      IF( ln_traldf_lap ) THEN   ;                              ioptio = ioptio + 1   ;   ENDIF
+      IF( ln_traldf_blp ) THEN   ;                              ioptio = ioptio + 1   ;   ENDIF
+      IF( ioptio /=  1  )   CALL ctl_stop( 'tra_ldf_init: use ONE of the 3 operator options (NONE/lap/blp)' )
+      !
+      IF( .NOT.ln_traldf_OFF ) THEN    !==  direction ==>> type of operator  ==!
          ioptio = 0
          IF( ln_traldf_lev )   ioptio = ioptio + 1
@@ -278,5 +278,5 @@
       l_ldftra_time = .FALSE.                ! no time variation except in case defined below
       !
-      IF( ln_traldf_NONE ) THEN              !== no explicit diffusive operator  ==!
+      IF( ln_traldf_OFF ) THEN               !== no explicit diffusive operator  ==!
          !
          IF(lwp) WRITE(numout,*) '   ==>>>   No diffusive operator selected. ahtu and ahtv are not allocated'
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90	(revision 9526)
@@ -46,5 +46,5 @@
 
    !                            !!* Namelist namtra_adv *
-   LOGICAL ::   ln_traadv_NONE   ! no advection on T and S
+   LOGICAL ::   ln_traadv_OFF    ! no advection on T and S
    LOGICAL ::   ln_traadv_cen    ! centered scheme flag
    INTEGER ::      nn_cen_h, nn_cen_v   ! =2/4 : horizontal and vertical choices of the order of CEN scheme
@@ -185,5 +185,5 @@
       INTEGER ::   ioptio, ios   ! Local integers
       !
-      NAMELIST/namtra_adv/ ln_traadv_NONE,                       &   ! No advection
+      NAMELIST/namtra_adv/ ln_traadv_OFF,                        &   ! No advection
          &                 ln_traadv_cen , nn_cen_h, nn_cen_v,   &   ! CEN
          &                 ln_traadv_fct , nn_fct_h, nn_fct_v,   &   ! FCT
@@ -208,5 +208,5 @@
          WRITE(numout,*) '~~~~~~~~~~~~'
          WRITE(numout,*) '   Namelist namtra_adv : chose a advection scheme for tracers'
-         WRITE(numout,*) '      No advection on T & S                     ln_traadv_NONE= ', ln_traadv_NONE
+         WRITE(numout,*) '      No advection on T & S                     ln_traadv_OFF = ', ln_traadv_OFF
          WRITE(numout,*) '      centered scheme                           ln_traadv_cen = ', ln_traadv_cen
          WRITE(numout,*) '            horizontal 2nd/4th order               nn_cen_h   = ', nn_fct_h
@@ -224,10 +224,10 @@
       !                                !==  Parameter control & set nadv ==!
       ioptio = 0                       
-      IF( ln_traadv_NONE ) THEN   ;   ioptio = ioptio + 1   ;   nadv = np_NO_adv   ;   ENDIF
-      IF( ln_traadv_cen  ) THEN   ;   ioptio = ioptio + 1   ;   nadv = np_CEN      ;   ENDIF
-      IF( ln_traadv_fct  ) THEN   ;   ioptio = ioptio + 1   ;   nadv = np_FCT      ;   ENDIF
-      IF( ln_traadv_mus  ) THEN   ;   ioptio = ioptio + 1   ;   nadv = np_MUS      ;   ENDIF
-      IF( ln_traadv_ubs  ) THEN   ;   ioptio = ioptio + 1   ;   nadv = np_UBS      ;   ENDIF
-      IF( ln_traadv_qck  ) THEN   ;   ioptio = ioptio + 1   ;   nadv = np_QCK      ;   ENDIF
+      IF( ln_traadv_OFF ) THEN   ;   ioptio = ioptio + 1   ;   nadv = np_NO_adv   ;   ENDIF
+      IF( ln_traadv_cen ) THEN   ;   ioptio = ioptio + 1   ;   nadv = np_CEN      ;   ENDIF
+      IF( ln_traadv_fct ) THEN   ;   ioptio = ioptio + 1   ;   nadv = np_FCT      ;   ENDIF
+      IF( ln_traadv_mus ) THEN   ;   ioptio = ioptio + 1   ;   nadv = np_MUS      ;   ENDIF
+      IF( ln_traadv_ubs ) THEN   ;   ioptio = ioptio + 1   ;   nadv = np_UBS      ;   ENDIF
+      IF( ln_traadv_qck ) THEN   ;   ioptio = ioptio + 1   ;   nadv = np_QCK      ;   ENDIF
       !
       IF( ioptio /= 1 )   CALL ctl_stop( 'tra_adv_init: Choose ONE advection option in namelist namtra_adv' )
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfdrg.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfdrg.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfdrg.F90	(revision 9526)
@@ -41,5 +41,5 @@
 
    !                                 !!* Namelist namdrg: nature of drag coefficient namelist *
-   LOGICAL          ::   ln_NONE      ! free-slip       : Cd = 0
+   LOGICAL          ::   ln_OFF       ! free-slip       : Cd = 0
    LOGICAL          ::   ln_lin       !     linear  drag: Cd = Cd0_lin
    LOGICAL          ::   ln_non_lin   ! non-linear  drag: Cd = Cd0_nl |U|
@@ -61,5 +61,5 @@
    INTEGER ::              ndrg       ! choice of the type of drag coefficient
    !                                  ! associated indices:
-   INTEGER, PARAMETER ::   np_NONE     = 0   ! free-slip: drag set to zero
+   INTEGER, PARAMETER ::   np_OFF      = 0   ! free-slip: drag set to zero
    INTEGER, PARAMETER ::   np_lin      = 1   !     linear drag: Cd = Cd0_lin
    INTEGER, PARAMETER ::   np_non_lin  = 2   ! non-linear drag: Cd = Cd0_nl |U|
@@ -231,5 +231,5 @@
       INTEGER   ::   ios, ioptio   ! local integers
       !!
-      NAMELIST/namdrg/ ln_NONE, ln_lin, ln_non_lin, ln_loglayer, ln_drgimp
+      NAMELIST/namdrg/ ln_OFF, ln_lin, ln_non_lin, ln_loglayer, ln_drgimp
       !!----------------------------------------------------------------------
       !
@@ -249,5 +249,5 @@
          WRITE(numout,*) '~~~~~~~~~~~~'
          WRITE(numout,*) '   Namelist namdrg : top/bottom friction choices'
-         WRITE(numout,*) '      free-slip       : Cd = 0                  ln_NONE     = ', ln_NONE
+         WRITE(numout,*) '      free-slip       : Cd = 0                  ln_OFF      = ', ln_OFF 
          WRITE(numout,*) '      linear  drag    : Cd = Cd0                ln_lin      = ', ln_lin
          WRITE(numout,*) '      non-linear  drag: Cd = Cd0_nl |U|         ln_non_lin  = ', ln_non_lin
@@ -257,5 +257,5 @@
       !
       ioptio = 0                       ! set ndrg and control check
-      IF( ln_NONE     ) THEN   ;   ndrg = np_NONE       ;   ioptio = ioptio + 1   ;   ENDIF
+      IF( ln_OFF      ) THEN   ;   ndrg = np_OFF        ;   ioptio = ioptio + 1   ;   ENDIF
       IF( ln_lin      ) THEN   ;   ndrg = np_lin        ;   ioptio = ioptio + 1   ;   ENDIF
       IF( ln_non_lin  ) THEN   ;   ndrg = np_non_lin    ;   ioptio = ioptio + 1   ;   ENDIF
@@ -386,5 +386,5 @@
       SELECT CASE( ndrg )
       !
-      CASE( np_NONE )            !==  No top/bottom friction  ==!   (pCdU = 0)
+      CASE( np_OFF  )            !==  No top/bottom friction  ==!   (pCdU = 0)
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) '   ==>>>   ',TRIM(cd_topbot),' free-slip, friction set to zero'